POST https://api.tokenhot.cn/v1/video/generationswan3.0-video / wan3.0-video-primeinput.prompt 与 input.media 至少提供一个。media 中每个元素都必须包含 type 和 url。提示词中的图、视频、音频引用按类型分别计数。first_frame / last_frame 不能与 reference_image / reference_video / reference_audio / file / link 混用。首尾帧模式只支持 first_frame 和 last_frame。file 与 link 不能同时输入。duration 无视频输入时为 2~30 的整数;有视频输入时,输入视频总时长加输出时长不得超过 30 秒;传 -1 使用智能时长模式。reference_video,并将 ratio 设为 adaptive。curl --location 'https://api.tokenhot.cn/v1/video/generations' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"model": "wan3.0-video",
"input": {
"prompt": "一支高端智能眼镜产品广告,整体风格极简、未来感、时尚高级,光影克制,画面以黑色、银灰色、冰蓝色为主色调。",
"media": [
{
"type": "file",
"url": "https://help-static-aliyun-doc.aliyuncs.com/file-manage-files/zh-CN/20260806/ebapmr/glass.pptx"
}
]
},
"parameters": {
"resolution": "480P",
"ratio": "adaptive",
"duration": 10,
"audio": true,
"seed": -1,
"prompt_extend": true,
"watermark": false
}
}'{
"id": "task_wan3_01xxxxxxxxxxxxxxxx",
"task_id": "task_wan3_01xxxxxxxxxxxxxxxx",
"object": "video",
"model": "wan3.0-video",
"status": "queued",
"progress": 0,
"created_at": 1771324467
}